> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ja/rissu/api-docs/memorize-content-to-rememberizer.md).

# 内容をRememberizerに記憶させる

{% openapi src="/files/NPsg8DFwcSjopKSuZo9m" path="/documents/memorize/" method="post" %}
[rememberizer\_openapi.yml](https://3282965451-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FK09NlRK7lXZsjqCNQsEe%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=dd73efa7-56a8-4350-88ab-85d7586fb7b8)
{% endopenapi %}

## 例リクエスト

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST \
  https://api.rememberizer.ai/api/v1/documents/memorize/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "重要な情報",
    "content": "これはRememberizerに記憶してほしい重要な内容です。"
  }'
```

{% hint style="info" %}
`YOUR_JWT_TOKEN`を実際のJWTトークンに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const memorizeContent = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/documents/memorize/', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      name: '重要な情報',
      content: 'これはRememberizerに記憶してほしい重要な内容です。'
    })
  });
  
  if (response.status === 201) {
    console.log("コンテンツが正常に保存されました");
  } else {
    console.error("コンテンツの保存に失敗しました");
    const errorData = await response.json();
    console.error(errorData);
  }
};

memorizeContent();
```

{% hint style="info" %}
`YOUR_JWT_TOKEN`を実際のJWTトークンに置き換えてください。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

def memorize_content():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN",
        "Content-Type": "application/json"
    }
    
    payload = {
        "name": "重要な情報",
        "content": "これはRememberizerに記憶してほしい重要な内容です。"
    }
    
    response = requests.post(
        "https://api.rememberizer.ai/api/v1/documents/memorize/",
        headers=headers,
        data=json.dumps(payload)
    )
    
    if response.status_code == 201:
        print("コンテンツが正常に保存されました")
    else:
        print(f"コンテンツの保存に失敗しました: {response.text}")

memorize_content()
```

{% hint style="info" %}
`YOUR_JWT_TOKEN`を実際のJWTトークンに置き換えてください。
{% endhint %}
{% endtab %}
{% endtabs %}

## リクエストパラメータ

| パラメータ   | タイプ    | 説明                                  |
| ------- | ------ | ----------------------------------- |
| name    | string | **必須。** 保存されるコンテンツの名前。              |
| content | string | **必須。** Rememberizerに保存するテキストコンテンツ。 |

## 応答

成功したリクエストは、レスポンスボディなしで201 Createdステータスコードを返します。

## エラー応答

| ステータスコード | 説明                                  |
| -------- | ----------------------------------- |
| 400      | 不正なリクエスト - 必須フィールドが欠落しているか、無効なパラメータ |
| 401      | 認証エラー - 無効または欠落した認証                 |
| 500      | サーバー内部エラー                           |

## 使用例

このエンドポイントは特に以下の用途に便利です：

1. 後でアクセスしたい重要なメモや情報を保存すること
2. 統合データソースを通じて利用できないコンテンツを追加すること
3. 検索可能である必要がある情報を手動で追加すること
4. あなたのナレッジベースにアクセスするLLMのための文脈情報を追加すること

保存されたコンテンツは検索エンドポイントを通じて検索可能になり、メメントに含めることができます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ja/rissu/api-docs/memorize-content-to-rememberizer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
